Skip to main content
POST
/
compute
/
script
/
{id}
/
variables
/
{variableId}
Update Variable
curl --request POST \
  --url https://api.bunny.net/compute/script/{id}/variables/{variableId} \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "DefaultValue": "<string>",
  "Required": true
}
'
import requests

url = "https://api.bunny.net/compute/script/{id}/variables/{variableId}"

payload = {
"DefaultValue": "<string>",
"Required": True
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({DefaultValue: '<string>', Required: true})
};

fetch('https://api.bunny.net/compute/script/{id}/variables/{variableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Id": 123,
  "Name": "<string>",
  "Required": true,
  "DefaultValue": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the script that contains the variable

variableId
integer<int64>
required

The ID of the Environment Variable that will be updated

Body

application/json

The variable that will be added

DefaultValue
string | null
Maximum string length: 4096
Required
boolean | null

Response

The script with the requested ID

Id
integer<int64>
Name
string | null
Required
boolean
DefaultValue
string | null
Last modified on June 26, 2026